PaidGoods
API referenceCustomer account

Open a ticket

POST
/v1/public/stores/{storeId}/account/tickets

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/public/stores/string/account/tickets" \  -H "Content-Type: application/json" \  -d '{    "subject": "string",    "body": "string"  }'
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "number": -9007199254740991,      "subject": "string",      "state": "open",      "priority": "low",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "customerEmail": "string",      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "assignedTo": "7869c1a9-a680-4086-b6f5-9e78a651f6f2",      "messagesCount": -9007199254740991,      "lastMessage": {        "authorType": "customer",        "excerpt": "string"      },      "lastMessageAt": "string",      "createdAt": "string"    }  ]}